Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Class PbkdKeyData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.bc.PbkdKeyData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PbkdKeyData
extends ASN1Object

Carrier for the contents of a `javax.crypto.interfaces.PBEKey` stored in a BCFKS keystore. PbkdKeyData ::= SEQUENCE { keyAlgorithm UTF8String, password OCTET STRING, salt [0] IMPLICIT OCTET STRING OPTIONAL, iterationCount [1] IMPLICIT INTEGER OPTIONAL, encoded [2] IMPLICIT OCTET STRING OPTIONAL }

Constructor Summary
`PbkdKeyData(java.lang.String keyAlgorithm, byte[] password, byte[] salt, int iterationCount, byte[] encoded)`

Method Summary
`static PbkdKeyData` | `getInstance(java.lang.Object o)`
`int` | `getIterationCount()`
`java.lang.String` | `getKeyAlgorithm()`
`byte[]` | `getKeyEncoding()`
`byte[]` | `getPassword()`
`byte[]` | `getSalt()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PbkdKeyData

    public PbkdKeyData(java.lang.String keyAlgorithm,
                       byte[] password,
                       byte[] salt,
                       int iterationCount,
                       byte[] encoded)

Method Detail

### getInstance

    public static PbkdKeyData getInstance(java.lang.Object o)

### getKeyAlgorithm

    public java.lang.String getKeyAlgorithm()

### getPassword

    public byte[] getPassword()

### getSalt

    public byte[] getSalt()

### getIterationCount

    public int getIterationCount()

### getKeyEncoding

    public byte[] getKeyEncoding()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD